summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJouni Kosonen <jouni.kosonen@tukesoft.com>2018-01-28 19:40:34 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-01-29 00:19:03 +0100
commit59b7ca6071743f139d43a8304a0a4961b6ebc1bc (patch)
treed1b3147a5eebb76f8c8d8f16c06a478c0f565d15
parentapp-crypt/moolticute: remove old (diff)
downloadgentoo-59b7ca6071743f139d43a8304a0a4961b6ebc1bc.tar.gz
gentoo-59b7ca6071743f139d43a8304a0a4961b6ebc1bc.tar.bz2
gentoo-59b7ca6071743f139d43a8304a0a4961b6ebc1bc.zip
sys-auth/yubikey-personalization-gui: version bump to 3.1.25
Also, port to Qt5 and EAPI 6. Bug: https://bugs.gentoo.org/633444 Closes: https://github.com/gentoo/gentoo/pull/6988
-rw-r--r--sys-auth/yubikey-personalization-gui/Manifest1
-rw-r--r--sys-auth/yubikey-personalization-gui/yubikey-personalization-gui-3.1.25.ebuild51
2 files changed, 52 insertions, 0 deletions
diff --git a/sys-auth/yubikey-personalization-gui/Manifest b/sys-auth/yubikey-personalization-gui/Manifest
index 90f67cf0348..77dad7368ea 100644
--- a/sys-auth/yubikey-personalization-gui/Manifest
+++ b/sys-auth/yubikey-personalization-gui/Manifest
@@ -1,2 +1,3 @@
DIST yubikey-personalization-gui-3.1.23.tar.gz 1450340 BLAKE2B fb183d939334b13faf1464dc65a0a03180a2b402ae628f556dba7211e66e89628718e797a86189f654ca88225c3b834df67b497e7a94d0e210edc433bfff49b8 SHA512 912bcbcac5cad285c43995f646de6aa68cc99a4d047b7632786cd93e38c031e2fb8dcc4f57f45647ba3e276de03aaea6ed9757f72ec2c42a43780c19edcca51b
DIST yubikey-personalization-gui-3.1.24.tar.gz 947135 BLAKE2B 846fa6792c71b57ffb99c548efe6780571c1d52061393805f0f9a76a7e7722b3fc2851ead913b09028d7798ae7bab4670260cae63a98ef0c0d1b176266fa4338 SHA512 149237a719277a6571916473d31e6099c3f3a2003fcb2893c2becee80788102496dbbc8e424f75fe1f1dd3ac87122bd35b6908cf784458635069d89e7e706cfa
+DIST yubikey-personalization-gui-3.1.25.tar.gz 942121 BLAKE2B edc581824f917b50664dd758a0447fa9a61c85844cd220d82661c9e1f1bbabc1bda77545c1eda2e56a43b8176479c1b161f8e9ad5feb3d61cdc37d301ebde9fc SHA512 6d45c2a9e9c452a44fba5ff3830150ce65e968899215c59fd7b412317143015c466ac706dcfa49def2c4304a01866a3674ba7cc37e47dff4e8c6acb8166fcf45
diff --git a/sys-auth/yubikey-personalization-gui/yubikey-personalization-gui-3.1.25.ebuild b/sys-auth/yubikey-personalization-gui/yubikey-personalization-gui-3.1.25.ebuild
new file mode 100644
index 00000000000..1439f9f0ac2
--- /dev/null
+++ b/sys-auth/yubikey-personalization-gui/yubikey-personalization-gui-3.1.25.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit desktop flag-o-matic qmake-utils
+
+DESCRIPTION="GUI for personalization of Yubico's YubiKey"
+SRC_URI="https://github.com/Yubico/yubikey-personalization-gui/archive/${P}.tar.gz"
+HOMEPAGE="https://github.com/Yubico/yubikey-personalization-gui"
+
+KEYWORDS="~amd64"
+SLOT="0"
+LICENSE="BSD-2"
+IUSE="debug test"
+
+RDEPEND="
+ dev-libs/glib:2
+ dev-qt/qtcore:5
+ dev-qt/qtwidgets:5
+ >=sys-auth/libyubikey-1.6
+ >=sys-auth/ykpers-1.14.0
+ virtual/libusb:1"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ test? ( dev-qt/qttest:5 )"
+
+S="${WORKDIR}/${PN}-${P}"
+
+src_prepare() {
+ default
+ if ! use test ; then
+ sed -i YKPersonalization.pro \
+ -e 's/src \\/src/' \
+ -e '/tests/d' || die
+ fi
+}
+
+src_configure() {
+ append-cxxflags -std=c++11
+
+ eqmake5 "CONFIG+=nosilent" YKPersonalization.pro
+}
+
+src_install() {
+ dobin build/release/yubikey-personalization-gui
+ doman resources/lin/yubikey-personalization-gui.1
+ domenu resources/lin/yubikey-personalization-gui.desktop
+ doicon resources/lin/yubikey-personalization-gui.xpm
+ doicon -s 128 resources/lin/yubikey-personalization-gui.png
+}